<?php
namespace DsbNext\Services;


class ParametersDashboardService {
    
    public function __construct($entityManager, $environment){
        $this->connection = $entityManager->getConnection();
        $this->environment = $environment;
    }
    
    public function beginTransaction() {
        $this->connection->beginTransaction();
    }
    
    public function commit() {
        $this->connection->commit();
    }
    
    public function rollback() {
        $this->connection->rollback();
    }
    
    public function insertPerfaclpainel ($params){
        $query = "INSERT INTO PERFACLPAINEL 
                          SET (NRPERFACLPAINEL, NRPERFILACESSO, NRPAINEL, CDFILIAL, IDPADRAODASH,  NRORG) 
                      VALUES 
                              (:P_NRPERFACLPAINEL, :P_NRPERFILACESSO,  :P_NRPAINEL, :P_CDFILIAL, :P_IDPADRAODASH, :P_NRORG)";
        try {
            $stmt = $this->connection->prepare($query);
            $stmt->execute($params);
        } catch (Exception $e){
            throw $e;
        };
    }
    
}