import { Modal, ModalService } from '@zeedhi/common';

export class DaysOfStockGOModalController {
  private daysOfStockGOModal!: Modal;

  public async createDaysOfStockGOModal() {
    this.daysOfStockGOModal = await ModalService.createFromJson('/modals/daysOfStockGOModal', true);
  }

  public destroyDaysOfStockGOModal() {
    this.daysOfStockGOModal?.destroy();
  }

  public openDaysOfStockGOModal() {
    this.daysOfStockGOModal.show();
  }

  public closeDaysOfStockGOModal() {
    this.daysOfStockGOModal.hide();
  }
}
